Subject: Re: bug#60127: treesit-end-of-defun: possible bug with clojure grammar

From: Eli Zaretskii <[email-masked]>
Date: Tue, 17 Jan 2023 14:20:43 +0200

> From: Yuan Fu <[email-masked]>
> Date: Tue, 17 Jan 2023 01:30:22 -0800
> Cc: [email-masked],
>  Danny Freeman <[email-masked]>,
>  Eli Zaretskii <[email-masked]>
> 
> 
> > I’d rather not use treesit_search_dfs, as it does much more work than
> > the current code. You know what, I can write a custom
> > ts_node_first_child_for_byte and use that in Emacs, I’ve already done
> > that for ts_node_parent anyway.
> 
> I did that. I tested with the Clojure example and it works fine now.
> 
> Eli, we don’t use ts_node_first_child_for_pos for now until tree-sitter
> fix that function, should I removed the boilerplate for it or should I
> leave it as-is? I saw you removed ts_node_parent when I did a similar
> fix.

It should be either removed or #ifdef'ed away, because otherwise GCC
complains in the MS-Windows build about unused macro.